Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.transport
Class TLDeserializer

    java.lang.Object
      rice.pastry.transport.TLDeserializer

All Implemented Interfaces:
  RawMessageDeserializer, Deserializer

    public class TLDeserializer

extends java.lang.Object
implements RawMessageDeserializer, Deserializer

Field Summary
`protected Environment` | `environment`
`protected Logger` | `logger`

Constructor Summary
`TLDeserializer(NodeHandleFactory nodeHandleFactory, Environment env)`

Method Summary
`void` | `clearDeserializer(int address)`
`RawMessage` | `deserialize(InputBuffer buf, NodeHandle sender)`
`MessageDeserializer` | `getDeserializer(int address)`
`void` | `serialize(RawMessage m, OutputBuffer o)`
`void` | `setDeserializer(int address, MessageDeserializer md)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### environment

    protected Environment environment

### logger

    protected Logger logger

Constructor Detail

### TLDeserializer

    public TLDeserializer(NodeHandleFactory nodeHandleFactory,
                          Environment env)

Method Detail

### deserialize

    public RawMessage deserialize(InputBuffer buf,
                                  NodeHandle sender)
                           throws java.io.IOException

  Specified by:
    `deserialize` in interface `RawMessageDeserializer`
  Throws:
    `java.io.IOException`

### serialize

    public void serialize(RawMessage m,
                          OutputBuffer o)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessageDeserializer`
  Throws:
    `java.io.IOException`

### clearDeserializer

    public void clearDeserializer(int address)

  Specified by:
    `clearDeserializer` in interface `Deserializer`

### getDeserializer

    public MessageDeserializer getDeserializer(int address)

  Specified by:
    `getDeserializer` in interface `Deserializer`

### setDeserializer

    public void setDeserializer(int address,
                                MessageDeserializer md)

  Specified by:
    `setDeserializer` in interface `Deserializer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.